Bug 495328 - yum has confused dependencies for kpartx and device-mapper-multipath
yum has confused dependencies for kpartx and device-mapper-multipath
Status: CLOSED DUPLICATE of bug 490516
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-metadata-parser (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-11 21:11 EDT by Harold Pritchett
Modified: 2014-01-21 01:12 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 17:06:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harold Pritchett 2009-04-11 21:11:01 EDT
Description of problem:  Unable to update package using yum.  


Version-Release number of selected component (if applicable):


How reproducible:  every time


Steps to Reproduce:
1. yum update
2.
3.
  
Actual results:

[root@server ~]# yum update
Loaded plugins: rhnplugin, security
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package kpartx.i386 0:0.4.7-23.el5_3.2 set to be updated
---> Package device-mapper-multipath.i386 0:0.4.7-23.el5_3.2 set to be updated
--> Processing Dependency: kpartx >= 0.4.7-9 for package: mkinitrd
--> Processing Dependency: kpartx for package: dmraid
--> Processing Dependency: device-mapper-multipath >= 0.4.7-9 for package: mkinitrd
--> Finished Dependency Resolution
dmraid-1.0.0.rc13-33.el5.i386 from installed has depsolving problems
  --> Missing Dependency: kpartx is needed by package dmraid-1.0.0.rc13-33.el5.i386 (installed)
mkinitrd-5.1.19.6-44.i386 from installed has depsolving problems
  --> Missing Dependency: device-mapper-multipath >= 0.4.7-9 is needed by package mkinitrd-5.1.19.6-44.i386 (installed)
mkinitrd-5.1.19.6-44.i386 from installed has depsolving problems
  --> Missing Dependency: kpartx >= 0.4.7-9 is needed by package mkinitrd-5.1.19.6-44.i386 (installed)
Error: Missing Dependency: device-mapper-multipath >= 0.4.7-9 is needed by package mkinitrd-5.1.19.6-44.i386 (installed)
Error: Missing Dependency: kpartx >= 0.4.7-9 is needed by package mkinitrd-5.1.19.6-44.i386 (installed)
Error: Missing Dependency: kpartx is needed by package dmraid-1.0.0.rc13-33.el5.i386 (installed)
[root@server ~]#



Expected results:


Additional info:

[root@server ~]# yum check-update
Loaded plugins: rhnplugin, security
Skipping security plugin, no data

device-mapper-multipath.i386 0.4.7-23.el5_3.2 rhel-i386-server-5
kpartx.i386                  0.4.7-23.el5_3.2 rhel-i386-server-5
[root@server ~]# uname -r
2.6.18-128.1.6.el5
[root@server ~]#
Comment 1 Chris Feist 2009-04-13 12:53:59 EDT
Can you provide the output out the following commands:

uname -a
rpm -q dmraid
rpm -q yum
rpm -q kpartx
rpm -q device-mapper-multipath
Comment 2 Will Cladek 2009-04-13 15:35:44 EDT
I had this same problem.  Doing a "yum clean all" fixed it.
Comment 3 Chris Feist 2009-04-13 15:51:22 EDT
Harold,

Can you also run the yum update after a "yum clean all"?  I want to verify that it isn't a yum issue.

Thanks,
Chris
Comment 4 babbage 2009-04-14 10:38:51 EDT
Hello !

Same issue on RHEL5.2 64bit

#> yum clean all

didn't fixed it. 
Any other solutions for this problem ? 
(yum version is : yum-3.2.8-9.el5)

regards
Comment 5 Harold Pritchett 2009-04-14 10:58:46 EDT
yum clean all

fixed it.  It also fixed the same problem on another RHEL 5.3 system which had a LOT more missing dependencies.

Harold
Comment 6 Chris Feist 2009-04-14 16:45:49 EDT
I'm reassigning this to yum as it appears this is where the problem lies.
Comment 7 James Antill 2009-04-14 17:06:47 EDT
 This is the yum-metadata-parser bug which is about to go out.

*** This bug has been marked as a duplicate of bug 490516 ***
Comment 8 babbage 2009-04-15 09:15:00 EDT
On RHEL5 32 the yum clean all command worked for me. 
On 64bit edition definitely NOT !

So i removed the folder in /var/cache/yum to /var/cache/yum.old
created a new folder yum. 
After starting yum updated again it worked. 

yum clean all doesn't cleaned all in my case.

However it's now working again..
Comment 9 Akash Chandrashekar 2009-04-15 18:32:14 EDT
Appears that this bug still impacts X86_64 bit customers. When doing an update from RHEL 5.1 all the way to 5.3, the error messages posted by Harold Pritchett. 

On x86_64, the "work around", in fact resolves the issue. 

This issue may impact all x86_64 customers that update from 5.1 to 5.3

Note You need to log in before you can comment on or make changes to this bug.